<?php
 @session_start();
 include 'conexion.php';

   if(!$coneccion){
      echo "ERROR en la conexion";
   }


   if(md5($_POST['codigo']) != $_SESSION['codigo_verificacion'])
 {

  print "<script>alert('El código de confirmación es incorrecto.')</script>";

  echo "<script LANGUAGE='JavaScript'>

     function redireccionar() { history.back(1); }

     setTimeout ('redireccionar()', 0);

     </script>";

 }

   $cuit = $_POST['cuit'];
   $mailnuevo = $_POST['email'];

   $mes     =   $_POST['mes'];
   $anio    =   $_POST['anio'];
   $fecha    =   $_POST['fecha'];
   $total    =   $_POST['total'];

    $vuelve = false;


    $sql = " Select id_empresa from com_empresas where cuit = '" .$cuit ."'";
  
    $query = mysqli_query($coneccion ,  $sql);

    $row = mysqli_fetch_array($query);

    if ($row >0 ){
      $id_empresa =    $row['id_empresa'];     
    }else{
        print "<script>alert('El cuit Ingresado es Incorrecto!!!')</script>"; 
        $vuelve = true;
    }

  if ($vuelve == true){

  echo "<script LANGUAGE='JavaScript'>
   function redireccionar() { history.back(1); }
   setTimeout ('redireccionar()', 0);
   </script>";

}


  if  ($vuelve == false){

    $_pagi_sql = "select * from det_cobros where id_empresa = " . $id_empresa . " and mes = " . $mes . " and anio = " . $anio . " and fecha = '" .$fecha. "' and total = " .$total ;  


    $query = mysqli_query($coneccion ,  $_pagi_sql);
    $row_cnt = $query->num_rows; 
    $row = mysqli_fetch_array($query);
     
    

    if($row_cnt == 1) {   

          $update = "Update com_usuarios set email = '".$mailnuevo."' where id_empresa =". $id_empresa ."";   

         
          $modifica = mysqli_query($coneccion ,  $update);

          if ($modifica == false){
            print "<script>alert('Error No se Pudo Actualizar el Email del Usuario!!!')</script>";           
                            echo "<script LANGUAGE='JavaScript'>
                            function redireccionar() { history.back(1); }
                            setTimeout ('redireccionar()', 0);
                        </script>";
          }else{

               print "<script>alert('Los Datos Ingresados son  Correctos, Se Modifico el Correo del Usuario. Para Obtener la Clave Solicite el envio de la misma.  Opcion --> [OLVIDE MI CLAVE] ')</script>";
               echo '<script type="text/javascript">
                      window.location="login.php";
                      </script>';

          }

 
      }else{
            print "<script>alert('Alguno de los Datos Ingresados son  Incorrecto!!!')</script>";           
            echo "<script LANGUAGE='JavaScript'>
        function redireccionar() { history.back(1); }
        setTimeout ('redireccionar()', 0);
        </script>";
        }
    }
  mysqli_close($coneccion);
 
?>